package com.extensibility.app.test;

import com.extensibility.app.ApplicationPreferences;
import com.extensibility.app.BaseApplication;
import com.extensibility.app.BaseDocument;
import com.extensibility.app.BaseWindow;
import com.extensibility.app.BasicDialog;
import com.extensibility.app.UI;
import com.extensibility.rock.Platform;
import com.extensibility.rock.RDialog;
import com.extensibility.rock.Screen;
import com.extensibility.util.Debug;
import com.extensibility.xml.URI;
import java.awt.Frame;
import java.util.EventObject;
import javax.swing.Icon;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

public class TestApplication extends BaseApplication {
   private static final String RESOURCE_PKG = "com.extensibility.app.test.rsc.";
   private static final String VERSION = "Wednesday March 1, 2000";
   private static final String SELF = "Apps";
   private static final byte REG_VERSION = 0;

   public static void main(String[] var0) {
      TestApplication var1 = new TestApplication();

      try {
         ((BaseApplication)var1).startup();
         ((BaseApplication)var1).doArgs(var0);
      } catch (RuntimeException var4) {
         JOptionPane.showMessageDialog(new JFrame(), Platform.mapNewlinesForTextArea(Debug.getStackTrace(var4)));
         ((Throwable)var4).printStackTrace();
         System.err.flush();
         System.exit(0);
      } catch (Throwable var5) {
         String var3 = Platform.mapNewlinesForTextArea(String.valueOf(String.valueOf(var5.toString()).concat(String.valueOf(System.getProperty("line.separator")))).concat(String.valueOf("Application must now exit.")));
         JOptionPane.showMessageDialog(new JFrame(), var3);
         var5.printStackTrace();
         System.err.flush();
         System.exit(0);
      }

   }

   public byte getRegVersion() {
      return 0;
   }

   public String getVersion() {
      return "Wednesday March 1, 2000";
   }

   protected UI createUI() {
      return new 1(this);
   }

   protected Class getMainWindowClass() {
      return Class.forName("com.extensibility.app.test.TestApplication$TestWindow");
   }

   protected BaseWindow createNewWindow(BaseDocument var1) {
      return new TestWindow(var1);
   }

   protected ApplicationPreferences createPreferences() {
      return new ApplicationPreferences();
   }

   public RDialog createPreferencesDialog(JFrame var1) {
      BasicDialog var2 = new BasicDialog(var1, "preferences", (Icon)null, "there are no preferences", (Object[])null, (Object[])null, new String[]{"OK", "Cancel"});
      Screen.centerInScreen(var2);
      return var2;
   }

   public JFrame createWelcome() {
      return this.createNewWindow(new TestDocument("this is the welcome window"));
   }

   public RDialog createPrintDialog(Frame var1) {
      BasicDialog var2 = new BasicDialog(var1, "print", (Icon)null, "there are no print options", (Object[])null, (Object[])null, new String[]{"OK", "Cancel"});
      Screen.centerInScreen(var2);
      return var2;
   }

   protected String getAbbr() {
      return "Apps";
   }

   public BaseDocument createNewDocument(URI var1) {
      return new TestDocument();
   }

   public BaseDocument createNewDocument(EventObject var1) {
      return new TestDocument();
   }

   protected String[] getOpenTypes() {
      return new String[]{"test"};
   }

   // $FF: synthetic method
   static String access$2000071() {
      return "com.extensibility.app.test.rsc.";
   }
}
